# Single-cell and spatial transcriptomics identify aberrant developmental programs driving granuloma formation

This folder is a copy of the computational environment used to perform the analysis for the manuscript. Most of the analysis was run on the HPC cluster as interactive jupyter notebooks, some steps where run in teh background (in this case it is specified in the notebook where and how the job should be submitterd, assuming the slurm scheduling system). Some steps have required GPU (also posssibble on CPU, but with longer computing times), in this case the name of the notebooks starts with VM. 
Notebooks are indexed in the chronological order the analysis proceeds. If you are interested in specific computing setup, you could check the used environments in the env/folder.  

For code, that was used to create specific figure panels, please consult the table below:

|Panel|Script|
| --- | --- |
|1B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb| 
|1C	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|1D	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|2A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|2B	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|2C	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|2D	|VM_exec.3-ST_01-scVI_analysis.ipynb|
|2E	|VM_exec.3-ST_01-scVI_analysis.ipynb|
|2F	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|2G	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|3A	|CLUSTER.1-SC_03.1-DE.limma.ipynb|
|3B	|CLUSTER.1-SC-03.3-heatmap.ipynb|
|3C	|CLUSTER.1-SC_03.1-DE.limma.ipynb|
|3D	|CLUSTER.1-SC_03.1-DE.limma.ipynb|
|3E	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|3F	|VM_manual-ST_02-scVI_stereoscope.ipynb, VM_exec.3-ST_01-scVI_analysis.ipynb|
|3G	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|4A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb
|4B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|4C	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|4D	|SCENIC_2.analysis.3-CD4.Th.scenic_analysis.py.ipynb|
|4E	|CLUSTER.5-ST_03-additional_plots.ipynb|
|5A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb
|5B	|CLUSTER.1-SC_03.1-DE.limma.ipynb|
|5C	|CLUSTER.1-SC_03.1-DE.limma.ipynb ????|
|5D	|CLUSTER.5-ST_03-additional_plots.ipynb|
|5E	|SCENIC_2.analysis.2-fibroblasts.scenic_analysis.py.ipynb|
|6A	|CLUSTER.6-ST_04-LR-significance.ipynb|
|6B	|CLUSTER.6-ST_04-LR-significance.ipynb|
|6D	|CLUSTER.6-ST_04-LR-significance.ipynb|
|7B	|CLUSTER.7-ST_05-signatures.ipynb|
|7C	|CLUSTER.7-ST_05-signatures.ipynb|
|7D	|CLUSTER.2-SC_03.4-cytokines|
|7E	|CLUSTER.7-ST_05-signatures.ipynb|


|Suppl. panel|Script|
| --- | --- |
|1B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|1C	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|1D	|VM.6-SC_07.2-intergation_healthy.ipynb|
|1E	|VM.6-SC_07.3-intergation_healthy_heatmap.ipynb|
|1F	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|2A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|2B	|VM_exec.3-ST_01-scVI_analysis.ipynb|
|2C	|VM_exec.3-ST_01-scVI_analysis.ipynb|
|2D	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|2E	|CLUSTER.7-ST_05-signatures.ipynb|
|3A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|3B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|3C	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|3D	|CLUSTER.3-SC_04.1-GSEA.PLOTS.ipynb|
|3E	|SCENIC_2.analysis.1-mph.scenic_analysis.py.ipynb|
|3F	|VM_manual-ST_02-scVI_stereoscope.ipynb|
|3G	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|3H	|CLUSTER.7-ST_05-signatures.ipynb|
|4B	|CLUSTER.1-SC_03.1-DE.limma.ipynb|
|4C	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|4D	|CLUSTER.2-SC_03.2-Markers.limma.ipynbb|
|4E	|CLUSTER.3-SC_04.1-GSEA.PLOTS.ipynb|
|5A	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|5B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|5C	|CLUSTER.3-SC_04.1-GSEA.PLOTS.ipynb|
|5D	|VM_exec.2-SC_02-scVI_full_analysis.ipynb?|
|5E	|CLUSTER.2-SC_03.2-Markers.limma.ipynb|
|5F	|CLUSTER.3-SC_04.1-GSEA.PLOTS.ipynb|
|6A	|CLUSTER.4-SC_05.2-cellphoneDB.PLOTS.ipynb|
|6B	|CLUSTER.6-ST_04-LR-significance.ipynb|
|6C	|CLUSTER.6-ST_04-LR-significance.ipynb|
|7B	|VM_exec.2-SC_02-scVI_full_analysis.ipynb|
|7C	|CLUSTER.7-ST_05-signatures.ipynb|
|7D	|CLUSTER.2-SC_03.4-cytokines|
|7F	|CLUSTER.2-SC_03.4-cytokines|
|7G	|CLUSTER.7-ST_05-signatures.ipynb|

The brief description of each notebook together with running instructions (which environment to use) are provided in the file code_file_descriptions.xslx

