#! /bin/bash

conda activate loompy

ls -1d ../../data/RAW/10x_CITE*Transcriptome|while read folder
do
  sample_name=${folder/..\/..\/data\/RAW\//}
  inputs=$(ls $folder|egrep "R1|R2"|sort -u|while read file;do echo $folder/$file;done|tr "\n" " ")
  
  tab_file=../../data/LOOM/${sample_name}.tab
  loom_file=../../data/LOOM/${sample_name}.loom
  
  echo -e "name\ttechnology\ttargetnumcells" >${tab_file}
  echo -e "${sample_name}\t10xv3\t10000" >> ${tab_file}

  cmd="loompy fromfq --threads=2 ${loom_file} ${sample_name} human_GRCh38_gencode.v31 ${tab_file} ${inputs}"
  echo $cmd

  sbatch --cpus-per-task=4 --error=../../data/LOOM/logs/${sample_name}.err --output=../../data/LOOM/logs/${sample_name}.out --job-name=LOOM_${sample_name} --mem=64G --ntasks=1 --partition=shortq --qos=shortq --wrap "${cmd}"
done 
